Puppy error #17515 (XL)

Menu
Relevante para :
Ultima actualización 8 months ago
Este artículo está también disponible en los siguientes idiomas: 
EN

What happened?

On the Original Prusa XL, communication with the peripheral boards (e.g. Dwarf board) is achieved using the MODBUS protocol. In MODBUS, there are two types of devices: the master and the slave, also known, respectively, as client and server. On Original Prusa XL firmware, the master is the XLBuddy, and each slave is called puppy.

XLBuddy firmware includes all the needed files for XLBuddy and puppies, including bootloaders. In case an incompatible bootloader is flashed, the printer will show the message: "Puppy uses incompatible bootloader protocol #, Buddy FW requires #".

Error name: Puppy incompatible bootloader

Error code: #17515

The error message will include the bootloader version that is flashed, and the bootloader number that should be installed. 

How to fix it?

The firmware for all puppies is part of the Original Prusa XL firmware and bootloader files. Download the indicated official firmware and bootloader, and flash both files. 

Are you still having issues? Contact our support team and let them know that you tried to fix the issue with these instructions. We will take it from there.

¿Fue útil este artículo?

Comentarios

¿Todavía tienes preguntas?

¿Todavía tienes preguntas?

Si tienes alguna pregunta sobre algo que no se ha tratado aquí, comprueba nuestros recursos adicionales.
Y si eso no lo soluciona, puedes enviar una petición a [email protected] o mediante el botón que hay más abajo.

Contacta con nosotros